/****************************************************************************
** Form implementation generated from reading ui file 'ui_tip.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ui_tip.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "fancylabel.h"
#include "iconwidget.h"
#include "../ui_tip.ui.h"

/*
 *  Constructs a TipUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
TipUI::TipUI( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "TipUI" );
    TipUILayout = new QVBoxLayout( this, 11, 6, "TipUILayout"); 

    frame11 = new QFrame( this, "frame11" );
    frame11->setFrameShape( QFrame::StyledPanel );
    frame11->setFrameShadow( QFrame::Sunken );
    frame11Layout = new QGridLayout( frame11, 1, 1, 0, 0, "frame11Layout"); 

    layout48 = new QHBoxLayout( 0, 0, 0, "layout48"); 

    layout47 = new QVBoxLayout( 0, 0, 0, "layout47"); 

    lb_icon = new IconLabel( frame11, "lb_icon" );
    lb_icon->setPaletteBackgroundColor( QColor( 47, 74, 114 ) );
    layout47->addWidget( lb_icon );

    textLabel4 = new QLabel( frame11, "textLabel4" );
    textLabel4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, textLabel4->sizePolicy().hasHeightForWidth() ) );
    textLabel4->setPaletteBackgroundColor( QColor( 47, 74, 114 ) );
    layout47->addWidget( textLabel4 );
    layout48->addLayout( layout47 );

    layout43 = new QVBoxLayout( 0, 0, 0, "layout43"); 

    textLabel1 = new QLabel( frame11, "textLabel1" );
    textLabel1->setMinimumSize( QSize( 0, 8 ) );
    textLabel1->setMaximumSize( QSize( 32767, 8 ) );
    textLabel1->setPaletteBackgroundColor( QColor( 47, 74, 114 ) );
    layout43->addWidget( textLabel1 );

    tv_psi = new PsiTextView( frame11, "tv_psi" );
    tv_psi->setPaletteBackgroundColor( QColor( 214, 226, 240 ) );
    tv_psi->setFrameShape( PsiTextView::NoFrame );
    tv_psi->setFrameShadow( PsiTextView::Sunken );
    tv_psi->setLineWidth( 0 );
    tv_psi->setMargin( 10 );
    tv_psi->setMidLineWidth( 0 );
    layout43->addWidget( tv_psi );

    textLabel3 = new QLabel( frame11, "textLabel3" );
    textLabel3->setMinimumSize( QSize( 0, 8 ) );
    textLabel3->setMaximumSize( QSize( 32767, 8 ) );
    textLabel3->setPaletteBackgroundColor( QColor( 47, 74, 114 ) );
    layout43->addWidget( textLabel3 );
    layout48->addLayout( layout43 );

    textLabel2 = new QLabel( frame11, "textLabel2" );
    textLabel2->setMinimumSize( QSize( 8, 0 ) );
    textLabel2->setMaximumSize( QSize( 8, 32767 ) );
    textLabel2->setPaletteBackgroundColor( QColor( 47, 74, 114 ) );
    layout48->addWidget( textLabel2 );

    frame11Layout->addLayout( layout48, 0, 0 );
    TipUILayout->addWidget( frame11 );

    line8 = new QFrame( this, "line8" );
    line8->setFrameShape( QFrame::HLine );
    line8->setFrameShadow( QFrame::Sunken );
    line8->setFrameShape( QFrame::HLine );
    TipUILayout->addWidget( line8 );

    layout41 = new QHBoxLayout( 0, 0, 6, "layout41"); 

    ck_showTips = new QCheckBox( this, "ck_showTips" );
    layout41->addWidget( ck_showTips );
    spacer32 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout41->addItem( spacer32 );

    iconButton19 = new IconButton( this, "iconButton19" );
    layout41->addWidget( iconButton19 );

    iconButton20 = new IconButton( this, "iconButton20" );
    layout41->addWidget( iconButton20 );

    iconButton21 = new IconButton( this, "iconButton21" );
    iconButton21->setDefault( TRUE );
    layout41->addWidget( iconButton21 );
    TipUILayout->addLayout( layout41 );
    languageChange();
    resize( QSize(428, 351).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( iconButton21, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( ck_showTips, SIGNAL( toggled(bool) ), this, SLOT( showTipsChanged(bool) ) );
    connect( iconButton19, SIGNAL( clicked() ), this, SLOT( previous() ) );
    connect( iconButton20, SIGNAL( clicked() ), this, SLOT( next() ) );
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
TipUI::~TipUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TipUI::languageChange()
{
    setCaption( tr( "Useful Tips" ) );
    lb_icon->setProperty( "iconName", tr( "psi/psiMac" ) );
    textLabel4->setText( QString::null );
    textLabel1->setText( QString::null );
    tv_psi->setText( QString::null );
    textLabel3->setText( QString::null );
    textLabel2->setText( QString::null );
    ck_showTips->setText( tr( "Show tips at startup" ) );
    iconButton19->setText( tr( "&Previous" ) );
    iconButton19->setAccel( QKeySequence( tr( "Alt+P" ) ) );
    iconButton19->setProperty( "iconName", tr( "psi/arrowLeft" ) );
    iconButton20->setText( tr( "&Next" ) );
    iconButton20->setAccel( QKeySequence( tr( "Alt+N" ) ) );
    iconButton20->setProperty( "iconName", tr( "psi/arrowRight" ) );
    iconButton21->setText( tr( "&Close" ) );
    iconButton21->setAccel( QKeySequence( tr( "Alt+C" ) ) );
    iconButton21->setProperty( "iconName", tr( "psi/close" ) );
}

